Debian Bug report logs - #510641
mdadm: checkarray emits messages for auto-read-only md devices

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: Philipp Kern <pkern@debian.org>

Date: Sun, 4 Jan 2009 00:18:02 UTC

Severity: normal

Tags: confirmed, help, upstream

Merged with 522710

Found in versions mdadm/2.6.7.1-1, mdadm/2.6.7.2-1

Fixed in versions mdadm/2.6.9-1, mdadm/2.6.7.2-2

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Forwarded to neilb@suse.de

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Sun, 04 Jan 2009 00:18:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: mdadm: checkarray emits messages for auto-read-only md devices
Date: Sun, 4 Jan 2009 01:14:31 +0100
[Message part 1 (text/plain, inline)]
Package: mdadm
Version: 2.6.7.1-1

I just got alerted by mdadm with this:
/usr/share/mdadm/checkarray: line 167: echo: write error: Device or resource busy

Actually it tried to write to /sys/block/md0/md/sync_action and it seems that
md0 does not like that.  It works fine with md1 and md2.  The mdstat is as
follows:

Personalities : [raid0] [raid1]
md2 : active raid1 sda3[0] sdb3[1]
      486014336 blocks [2/2] [UU]

md1 : active raid1 sda2[0] sdb2[1]
      264960 blocks [2/2] [UU]

md0 : active (auto-read-only) raid1 sda1[0] sdb1[1]
      2104448 blocks [2/2] [UU]

The md devices were created by a setup script and md0 holds the swap space
which is, I think, the rationale for using auto-read-only.  I'm not
exactly sure about its semantic, i.e. if a resync is skipped completely
and the device could be newly written but mirrored for this session
or if it's just kept read-only until the first swap occurs and thus
not dirty if nothing happens.  At least this is what array_state tells
me:

# cat /sys/block/md0/md/array_state
read-auto
# cat /sys/block/md1/md/array_state
clean

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Release Assistant
`. `'   xmpp:phil@0x539.de                         Stable Release Manager
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Mon, 05 Jan 2009 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 05 Jan 2009 10:30:03 GMT) Full text and rfc822 format available.

Message #8 received at 510641@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Philipp Kern" <pkern@debian.org>
Cc: <510641@bugs.debian.org>
Subject: Re: Bug #510641: mdadm: checkarray emits messages for auto-read-only md devices
Date: Mon, 5 Jan 2009 10:29:27 -0000
Philipp Kern wrote, Sunday, January 04, 2009 12:14 AM
> I just got alerted by mdadm with this:
> /usr/share/mdadm/checkarray: line 167: echo: write
> error: Device or resource busy

We've had the same issue for the past couple of monthly checks. I hadn't 
reported it as everything seemed to be working and no-one else seemed to be 
experiencing it.

> Actually it tried to write to /sys/block/md0/md/sync_action
> and it seems that md0 does not like that.  It works fine with
> md1 and md2.  The mdstat is as follows:
[...]
> The md devices were created by a setup script and md0
> holds the swap space which is, I think, the rationale for
> using auto-read-only.

Our setup's similar. The arrays were created by lenny d-i (RC1) and the swap 
array (md1) is marked as auto-read-only.

Aside from the slightly worrying error message (at least at first glance), 
the arrays after the swap never actually get checked, as the failure causes 
the script to exit.

Adam 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Tue, 06 Jan 2009 17:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to adc@adcx.net:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 06 Jan 2009 17:54:11 GMT) Full text and rfc822 format available.

Message #13 received at 510641@bugs.debian.org (full text, mbox):

From: Andrei Caraman <adc@adcx.net>
To: 510641@bugs.debian.org
Subject: additional info
Date: Tue, 6 Jan 2009 12:53:13 -0500
indeed /usr/share/mdadm/checkarray exits with an error message when it
encounters a redundant MD device in auto-read-only state.  this state is
normal for assembled MD device which haven't yet been written to, such as
the swap area mentioned by Philipp Kern.

any write operation to the respective device would take it out of
auto-read-only (in my case it was a swapoff, mkswap, swapon which did the
trick), but one can't expect checkarray to figure out what sort of
write is safe on the device.  

i think that checkarray should look for and skip any md device it finds in
the auto-read-only state.



hope this helps,
adc






Tags added: confirmed, upstream Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 04 Feb 2009 11:09:05 GMT) Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have marked Bug as forwarded. (Wed, 04 Feb 2009 11:09:10 GMT) Full text and rfc822 format available.

Message #18 received at 510641-forwarded@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: neilb@suse.de
Cc: 510641-forwarded@bugs.debian.org
Subject: checkarray fails on auto-read-only
Date: Wed, 4 Feb 2009 12:04:02 +0100
[Message part 1 (text/plain, inline)]
tags 510641 confirmed upstream
thanks

Neil, do you have a better solution to this problem? (see attached)

Thanks,

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
the english take english for granted.
but if we explore its paradoxes,
we find that quicksand can work slowly.
[Message part 2 (message/rfc822, inline)]
From: Andrei Caraman <adc@adcx.net>
To: 510641@bugs.debian.org
Subject: Bug#510641: additional info
Date: Tue, 6 Jan 2009 12:53:13 -0500
indeed /usr/share/mdadm/checkarray exits with an error message when it
encounters a redundant MD device in auto-read-only state.  this state is
normal for assembled MD device which haven't yet been written to, such as
the swap area mentioned by Philipp Kern.

any write operation to the respective device would take it out of
auto-read-only (in my case it was a swapoff, mkswap, swapon which did the
trick), but one can't expect checkarray to figure out what sort of
write is safe on the device.  

i think that checkarray should look for and skip any md device it finds in
the auto-read-only state.



hope this helps,
adc





_______________________________________________
pkg-mdadm-devel mailing list
pkg-mdadm-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-mdadm-devel

[digital_signature_gpg.asc (application/pgp-signature, inline)]

Message #19 received at 510641-forwarded@bugs.debian.org (full text, mbox):

From: Neil Brown <neilb@suse.de>
To: martin f krafft <madduck@debian.org>
Cc: 510641-forwarded@bugs.debian.org
Subject: Re: checkarray fails on auto-read-only
Date: Thu, 5 Feb 2009 15:27:13 +1100
On Wednesday February 4, madduck@debian.org wrote:
> 
> Neil, do you have a better solution to this problem? (see attached)
> 

well......

It seems that you need to test for arrays with array_state ==
'read-auto', and either:

  1/ skip over them
  2/ write 'active' to array_state' and the start the check.

The second option is unwise because the whole point of 'read-auto' is
not to write writing to an array until the admin takes some action
which confirms that it really is an array what we want to use.
That allows use to be fairly safe about just assembly any device that
look like they might be an array into a read-auto array.  It requires
a concrete action (such as mounting) to allow any writing to happen.

The first option is not ideal because this might be an array which is
genuinely in use, but just hasn't been written to since the last
reboot.  In that case we still want a regular check I think.
Mounting a filesystem usually writes to the device, if only to flag
the superblock as saying "mounted".  However it seems that enabling
swap doesn't write to the device until we need to swap-out, so the
device can stay read-auto for an extended period of time.

The only intermediate solution I can think of is that when you find a
read-auto array, check if it is a swap partition (look for a match in
/proc/swaps) and if it is, write 'active' to 'array_state' and
proceed.

That is a bit of a kludge, but would resolve the current issue.

Thinking about it some more... there really isn't a need to do a check
on swap devices that haven't been used since boot.  The check is only
to find sleeping bad blocks, and as we don't care about any of the
data on a swap device until we write it, the sleeping bad blocks won't
cause a problem... unless it is raid4/5/6 and we get a device failure
that causes us to read some block that had not previously been
written...

I suggest either just skip over 'read-auto' arrays or check if they
are current swap devices and if they are, mark them as 'active' then
do the check.

NeilBrown




Tags added: help Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 16 Feb 2009 11:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Sun, 05 Apr 2009 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Schamanek <as2007+dbts@fam.tuwien.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 05 Apr 2009 22:15:02 GMT) Full text and rfc822 format available.

Message #26 received at 510641@bugs.debian.org (full text, mbox):

From: Andreas Schamanek <as2007+dbts@fam.tuwien.ac.at>
To: 510641@bugs.debian.org
Subject: Patch against checkarray to skip auto-read-only arrays
Date: Mon, 6 Apr 2009 00:12:34 +0200 (CEST)
The following diff might not be an ideal solution. Anyway, I had a 
system with a non-swap array in auto-read-only state (array_state = 
read-auto), indeed an array which currently is simply not used. Thus, 
I changed _checkarray_ to skip it with a warning (change "$quiet -lt 
2" to "$quiet -lt 1" if you want the cronjob to be silent about it).


--- checkarray.o        2009-02-05 20:49:08.000000000 +0100
+++ /usr/share/mdadm/checkarray 2009-04-05 23:55:59.000000000 +0200
@@ -27,7 +27,7 @@
   cat <<-_eof | column -s\& -t
        -a|--all & check all assembled arrays (check /proc/mdstat).
        -c|--cron & honour AUTOCHECK setting in /etc/default/mdadm.
-       -s|--status & print redundancy check status of devices.
+       -s|--status & print redundancy check and array status of devices.
        -x|--cancel & queue a request to cancel a running redundancy check.
        -q|--quiet & suppress informational messages.
        -Q|--real-quiet & suppress all output messages, including warnings and errors.
@@ -132,6 +132,7 @@

 for array in $arrays; do
   SYNC_ACTION_CTL=/sys/block/$array/md/sync_action
+  ARRAY_STATE=/sys/block/$array/md/array_state

   if [ ! -e $SYNC_ACTION_CTL ]; then
     [ $quiet -lt 1 ] && echo "$PROGNAME: I: skipping non-redundant array $array." >&2
@@ -139,9 +140,10 @@
   fi

   cur_status="$(cat $SYNC_ACTION_CTL)"
+  array_state="$(cat $ARRAY_STATE)"

   if [ $action = status ]; then
-    echo "$array: $cur_status"
+    echo "$array: $cur_status ($array_state)"
     continue
   fi

@@ -161,6 +163,10 @@
         [ $quiet -lt 2 ] && echo "$PROGNAME: W: array $array not idle, skipping..." >&2
         continue
       fi
+      if [ "$array_state" = read-auto ]; then
+        [ $quiet -lt 2 ] && echo "$PROGNAME: W: array $array is in auto-read-only state, skipping..." >&2
+        continue
+      fi

       # queue request for the array. The kernel will make sure that these requests
       # are properly queued so as to not kill one of the array.


HTH,

-- 
-- Andreas





Forcibly Merged 510641 522710. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Sat, 25 Apr 2009 15:45:16 GMT) Full text and rfc822 format available.

Tags added: pending Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Sat, 25 Apr 2009 16:15:23 GMT) Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Sat, 25 Apr 2009 18:15:10 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Sat, 25 Apr 2009 18:15:10 GMT) Full text and rfc822 format available.

Message #35 received at 510641-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 510641-close@bugs.debian.org
Subject: Bug#510641: fixed in mdadm 2.6.9-1
Date: Sat, 25 Apr 2009 17:47:14 +0000
Source: mdadm
Source-Version: 2.6.9-1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.6.9-1_amd64.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.6.9-1_amd64.udeb
mdadm_2.6.9-1.diff.gz
  to pool/main/m/mdadm/mdadm_2.6.9-1.diff.gz
mdadm_2.6.9-1.dsc
  to pool/main/m/mdadm/mdadm_2.6.9-1.dsc
mdadm_2.6.9-1_amd64.deb
  to pool/main/m/mdadm/mdadm_2.6.9-1_amd64.deb
mdadm_2.6.9.orig.tar.gz
  to pool/main/m/mdadm/mdadm_2.6.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510641@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Apr 2009 19:04:47 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 2.6.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 497949 510641 516605 516802 519328 522300
Changes: 
 mdadm (2.6.9-1) unstable; urgency=low
 .
   * New upstream release.
   * Do not set -eu in the bugscript to maximise information output in the case
     of errors.
   * Make initramfs script depend on multipath to ensure its script is run
     before ours (closes: #516605).
   * Provide an alternative (postfix) for mail-transport-agent (closes:
     #522300). I chose postfix because that's the only one I could recommend,
     and since the alternative does not affect people who already have an MTA
     installed, or have a preference, it won't affect them.
   * Honour debconf pre-selection of mdadm/initrdstart (closes: #516802).
   * Incorporate patch from Adrian Bridgett: the initramfs hook now checks to
     see if all known arrays are listed in mdadm.conf and issues a warning if
     this is not the case (closes: #519328).
   * Make checkarray skip over arrays still marked auto-read-only
     (closes: #510641).
   * Add cron.daily snippet from Paul Slootman to run one-shot scans every day
     to ensure that failed arrays don't go unnoticed (closes: #497949).
   * Bumped Standards-Version to 3.8.1; no changes necessary.
Checksums-Sha1: 
 46f562daedba9aa1745234cdfc0f34570cbcc2fd 1253 mdadm_2.6.9-1.dsc
 1695586a18ca5a16b0cdb4b94f61c4d95ff01b55 215344 mdadm_2.6.9.orig.tar.gz
 98f19f056e303c182afbb8beda07739cdc6505bf 136899 mdadm_2.6.9-1.diff.gz
 b70f32945d5f3dd929aca4e47cd43dab8618b8fa 274302 mdadm_2.6.9-1_amd64.deb
 b9044aac7c7548645c575be08bbc3601241f4508 77702 mdadm-udeb_2.6.9-1_amd64.udeb
Checksums-Sha256: 
 d9791e7d01e404f63ed684fe5481f82e939113bed42b39e42f0b16942529044b 1253 mdadm_2.6.9-1.dsc
 2c9cac849cea9626547bcc8dc4b83c79c26f42f0df61a4152bf34f15b5638363 215344 mdadm_2.6.9.orig.tar.gz
 0a541d076e2f5acbbcbbb6bd161ddd4af72b66b7d9422856fc78a761fa086926 136899 mdadm_2.6.9-1.diff.gz
 9d8609e9c8be9a7f46693f4992ff7a28f50922e8696108ccb944d424878dc909 274302 mdadm_2.6.9-1_amd64.deb
 cd75b526dee9c944a56b08f9349b1d6454228be43d1172a475b8b8df72eccfb9 77702 mdadm-udeb_2.6.9-1_amd64.udeb
Files: 
 c51f59c48605a4b9201d4615cd1489ad 1253 admin optional mdadm_2.6.9-1.dsc
 beaa0f066288441d9b3ad1ef67fa0237 215344 admin optional mdadm_2.6.9.orig.tar.gz
 cc5c9b74a6a7868a024225fda4a2e1bd 136899 admin optional mdadm_2.6.9-1.diff.gz
 475c4c8698309f3a6a0cb0eaa82f2318 274302 admin optional mdadm_2.6.9-1_amd64.deb
 0aeb50dd5f2001cd74d36403e50e48c9 77702 debian-installer optional mdadm-udeb_2.6.9-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknzTBoACgkQIgvIgzMMSnUjhwCglqypssXInkBN2/Bv3ttigKpk
8u4An0b4aToGhjFea0E+Pn4YxI0W+BpM
=59my
-----END PGP SIGNATURE-----





Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Sat, 25 Apr 2009 18:15:11 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Sat, 25 Apr 2009 18:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Sun, 03 May 2009 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximilian Gaukler <development@maxgaukler.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 03 May 2009 08:45:02 GMT) Full text and rfc822 format available.

Message #45 received at 510641@bugs.debian.org (full text, mbox):

From: Maximilian Gaukler <development@maxgaukler.de>
To: 510641@bugs.debian.org
Subject: patch for lenny
Date: Sun, 03 May 2009 10:42:45 +0200
[Message part 1 (text/plain, inline)]
Could this be fixed for lenny, too? I think that a cron script should not simply die under usual conditions so this bug is important enough to make it into proposed-updates.

A patch for lenny is attached.

Thanks

Max Gaukler
[checkarray-skip-autoreadonly-2.6.7.2-1.diff (text/x-patch, inline)]
--- /usr/share/mdadm/checkarray	2009-02-05 20:49:08.000000000 +0100
+++ checkarray	2009-05-03 10:36:13.000000000 +0200
@@ -164,6 +164,12 @@
 
       # queue request for the array. The kernel will make sure that these requests
       # are properly queued so as to not kill one of the array.
+      state="$(cat /sys/block/$array/md/array_state)"
+      if [ "$state" == "read-auto" ]; then
+        [ $quiet -lt 1 ] && echo "$PROGNAME: I: array $array is auto-read-only, skipping..." \
+        "(This is normal if it has not been used since booting up)" >&2
+        continue
+      fi
       echo $action > $SYNC_ACTION_CTL
       [ $quiet -lt 1 ] && echo "$PROGNAME: I: check queued for array $array." >&2
       ;;

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#510641; Package mdadm. (Sun, 03 May 2009 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 03 May 2009 18:33:02 GMT) Full text and rfc822 format available.

Message #50 received at 510641@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Maximilian Gaukler <development@maxgaukler.de>, 510641@bugs.debian.org
Subject: Re: Bug#510641: patch for lenny
Date: Sun, 3 May 2009 20:29:24 +0200
[Message part 1 (text/plain, inline)]
also sprach Maximilian Gaukler <development@maxgaukler.de> [2009.05.03.1042 +0200]:
> Could this be fixed for lenny, too? I think that a cron script
> should not simply die under usual conditions so this bug is
> important enough to make it into proposed-updates.

I cherry-picked the fix from 2.6.9 into 2.6.7.2-2, which is awaiting
approval for lenny-updates.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 11 Jun 2009 08:09:10 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Thu, 11 Jun 2009 08:09:10 GMT) Full text and rfc822 format available.

Message #55 received at 510641-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 510641-close@bugs.debian.org
Subject: Bug#510641: fixed in mdadm 2.6.7.2-2
Date: Thu, 11 Jun 2009 07:54:28 +0000
Source: mdadm
Source-Version: 2.6.7.2-2

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.6.7.2-2_amd64.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.6.7.2-2_amd64.udeb
mdadm_2.6.7.2-2.diff.gz
  to pool/main/m/mdadm/mdadm_2.6.7.2-2.diff.gz
mdadm_2.6.7.2-2.dsc
  to pool/main/m/mdadm/mdadm_2.6.7.2-2.dsc
mdadm_2.6.7.2-2_amd64.deb
  to pool/main/m/mdadm/mdadm_2.6.7.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510641@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 May 2009 19:35:03 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 2.6.7.2-2
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 510641 514923 516605 516802 519999 522300
Changes: 
 mdadm (2.6.7.2-2) stable-proposed-updates; urgency=low
 .
   * Fix start/stop runlevels in header of mdadm monitor init.d script
     (closes: #514923)
   * Do not set -eu in the bugscript to maximise information output in the case
     of errors.
   * Make initramfs script depend on multipath to ensure its script is run
     before ours (closes: #516605).
   * Provide an alternative (postfix) for mail-transport-agent (closes:
     #522300). I chose postfix because that's the only one I could recommend,
     and since the alternative does not affect people who already have an MTA
     installed, or have a preference, it won't affect them.
   * Honour debconf pre-selection of mdadm/initrdstart (closes: #516802).
   * Make checkarray skip over arrays still marked auto-read-only
     (closes: #510641).
   * No longer pass -k to modprobe, which has been deprecated for a long time;
     thanks to Jan Hudec (closes: #519999).
   * Remove Mario Jou├čen from the uploaders list, since his email started
     bouncing.
Checksums-Sha1: 
 2a7719b3ec0bc469f00d4432b9228a9099c505af 1231 mdadm_2.6.7.2-2.dsc
 cbbbf4e217b532b5a0d2347f9ddd3a17924db125 135801 mdadm_2.6.7.2-2.diff.gz
 e2dcd50235767d6e7404f7ff4b98629717e0bafb 272538 mdadm_2.6.7.2-2_amd64.deb
 099bc89b749884f40297f447a954677549cfce6c 76820 mdadm-udeb_2.6.7.2-2_amd64.udeb
Checksums-Sha256: 
 91a4eec7358f53b0ea20047046429d5944a3b56fcd8d3f007e70f4c271f29bf8 1231 mdadm_2.6.7.2-2.dsc
 d51d654e6617a69707873e861d9ca05dd76ce8574446e2bbffe07cf19d76b092 135801 mdadm_2.6.7.2-2.diff.gz
 a7079a3c3c730dc082d32ffaf5bef893337e59ce21fbf7dec6122e5db98d3fa3 272538 mdadm_2.6.7.2-2_amd64.deb
 f96f82925d14530d69680ebe20c6c2d809d7467bdf34568eb20e97d79d780ffc 76820 mdadm-udeb_2.6.7.2-2_amd64.udeb
Files: 
 9b70bf118eb807c74ef31f550f79dc23 1231 admin optional mdadm_2.6.7.2-2.dsc
 3c2114c4da4e9631bdd81d71ea94e9e6 135801 admin optional mdadm_2.6.7.2-2.diff.gz
 32885c243dff42ce877f3ea89fb151d0 272538 admin optional mdadm_2.6.7.2-2_amd64.deb
 8d0426cbb59bed06736e6d365333f690 76820 debian-installer optional mdadm-udeb_2.6.7.2-2_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkn94RgACgkQIgvIgzMMSnVOzQCgw+85k7pwpXEd9eHUwH2XA//U
otEAniA1DUxbJSwR8RNiAYHOrdcexKxl
=JEez
-----END PGP SIGNATURE-----





Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 11 Jun 2009 08:09:11 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Thu, 11 Jun 2009 08:09:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Aug 2009 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:23:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.